Subject: [Tsvwg] Packet Loss!!!!!!!!!!!!!!!!

From: "Vijay Kumar Choudhary" <[email-masked]>
Date: Wed, 22 May 2002 14:02:42 +0900

Hi All,

      I m facing a problem of packet loss. I have two solaris machine. These
two machines are  on the same hub. SCTP is running on both the solaris
machine.When i send data from one machine to the another.....there is lots
of retransmission bcoz of the packet loss. I want to know what could be the
possible cause of packet loss?

Regards,
Vijay

---

From: "Brian F. G. Bidulock" <[email-masked]>
Date: Wed, 22 May 2002 01:51:31 -0500

Vijay,

Just a guess, but are you running the association wide open?
That is, are you pushing the association, network, IP queueing
or NIC into congestion?

If so, it is possible that one SCTP implementation is
advertising a receive window that is larger than what it will
actually accept (so packets are dropped at the receiver), or
that packets are being dropped at the IP level (or raw socket
level) beneath either the sending or receiving SCTP
implementation.  Other possibilities include packets being lost
by the Ethernet driver, Rx or Tx overflows, excessive collisions
(resulting in timeouts), the list goes on.

Normally an ifconfig or netstat command or examination of the
MIBs for SCTP, IP and the Device Driver will give you a better
handle on where you are experiencing the loss.

The SCTP MIB will tell you some information: sctpAssocRtxChunks
and sctpAssocRemAddressRtx will tell you how many chunks were
retransmitted, sctpChecksumErrors will tell you how many packets
SCTP dropped due to checksum errors.   IP MIB InDiscards,
OutDiscards, OutNoRoutes, ReasmTimeout, ReasmFails, FragFails
will tell you how many packets were dropped by IP for the
various reasons.  Device specific stats normally show RxDropped,
RxOverruns, TxDropped, TxOverruns which will tell you how many
packets are dropped by the device driver.

Under what conditions are you experiencing packet loss?

--brian

On Wed, 22 May 2002, Vijay Kumar Choudhary wrote:

> 
>    Hi All,
>    
>          I m facing a problem of packet loss. I have two solaris machine.
>    These two machines are  on the same hub. SCTP is running on both the
>    solaris machine.When i send data from one machine to the
>    another.....there is lots of retransmission bcoz of the packet loss. I
>    want to know what could be the possible cause of packet loss?
>    
>    Regards,
>    Vijay
>    
>    ____________________________________________________
>      IncrediMail - Email has finally evolved - [1]Click Here
> 
> References
> 
>    Visible links
>    1. http://www.incredimail.com/redir.asp?ad_id=309&lang=9
> 
>    Hidden links:
>    2. http://www.incredimail.com/redir.asp?ad_id=309&lang=9

> GIF89a
> NETSCAPE2.0
> }-UTlp

-- 
Brian F. G. Bidulock    ¦ The reasonable man adapts himself to the ¦
[email-masked]    ¦ world; the unreasonable one persists in  ¦
http://www.openss7.org/ ¦ trying  to adapt the  world  to himself. ¦
                        ¦ Therefore  all  progress  depends on the ¦
                        ¦ unreasonable man. -- George Bernard Shaw ¦

_______________________________________________
tsvwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/tsvwg